Skip to content

Get market rewards

GET /rewards/markets/{condition_id}

Server: https://api.openfish.fun

Authentication: None required


ParameterTypeRequiredDescription
condition_idstringYesCondition ID of the market

Schema: PaginatedMarketReward

FieldTypeRequiredDescription
limitintegerYesMaximum items per page (50)
countintegerYesNumber of items returned
next_cursorstringYesCursor for next page. "LTE=" = last page.
dataarray of TraderRewardYesTop traders in this market

TraderReward Schema:

FieldTypeRequiredDescription
ownerstringYesAPI key of the trader
volumestringYesTotal trading volume
fees_paidstringYesFees paid by this trader
num_tradesintegerYesNumber of trades
estimated_rewardstringYesEstimated reward (0.1% of volume)

Example Response:

{
"limit": 50,
"count": 1,
"next_cursor": "LTE=",
"data": [
{
"owner": "9180014b-33c8-9240-a14b-bdca11c0a465",
"volume": "5000.00",
"fees_paid": "25.00",
"num_trades": 120,
"estimated_reward": "5.00"
}
]
}
{ "error": "Internal server error" }